Up

# NSHashTable class reference

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Version: 32077

Date: 2011-02-11 07:51:47 -0700 (Fri, 11 Feb 2011)

Copyright: (C) 2009 Free Software Foundation, Inc.

# Software documentation for the NSHashTable class

## NSHashTable : NSObject

> Declared in:
>   Foundation/NSHashTable.h

> Conforms to:
>   NSCopying
>   NSCoding
>   NSFastEnumeration

Availability: OpenStep
Description forthcoming.
Method summary

- +hashTableWithOptions:
- +hashTableWithWeakObjects
- -addObject:
- -allObjects
- -anyObject
- -containsObject:
- -count
- -initWithOptions:capacity:
- -initWithPointerFunctions:capacity:
- -intersectHashTable:
- -intersectsHashTable:
- -isEqualToHashTable:
- -isSubsetOfHashTable:
- -member:
- -minusHashTable:
- -objectEnumerator
- -pointerFunctions
- -removeAllObjects
- -removeObject:
- -setRepresentation
- -unionHashTable:

### hashTableWithOptions:

+ (id) hashTableWithOptions: (NSPointerFunctionsOptions)options;
Availability: OpenStep
Description forthcoming.

### hashTableWithWeakObjects

+ (id) hashTableWithWeakObjects;
Availability: OpenStep
Description forthcoming.

### addObject:

- (void) addObject: (id)object;
Availability: OpenStep
Adds the object to the receiver.

### allObjects

- (NSArray*) allObjects;
Availability: OpenStep
Returns an array containing all objects in the receiver.

### anyObject

- (id) anyObject;
Availability: OpenStep
Returns any objct from the receiver, or `nil` if the receiver contains no objects.

### containsObject:

- (BOOL) containsObject: (id)anObject;
Availability: OpenStep
Returns `YES` if the receiver contains an item equal to anObject, or `NO` otherwise.

### count

- (NSUInteger) count;
Availability: OpenStep
Return the number of items atored in the receiver.

### initWithOptions: capacity:

- (id) initWithOptions: (NSPointerFunctionsOptions)options capacity: (NSUInteger)initialCapacity;
Availability: OpenStep
Description forthcoming.

### initWithPointerFunctions: capacity:

- (id) initWithPointerFunctions: (NSPointerFunctions*)functions capacity: (NSUInteger)initialCapacity;
Availability: OpenStep
Description forthcoming.

### intersectHashTable:

- (void) intersectHashTable: (NSHashTable*)other;
Availability: OpenStep
Removes from the receiver any items which are not also present in 'other'.

### intersectsHashTable:

- (BOOL) intersectsHashTable: (NSHashTable*)other;
Availability: OpenStep
Returns `YES` if the receiver and 'other' contain any items in common.

### isEqualToHashTable:

- (BOOL) isEqualToHashTable: (NSHashTable*)other;
Availability: OpenStep
Returns `YES` if the receiver and 'other' contain equal sets of items.

### isSubsetOfHashTable:

- (BOOL) isSubsetOfHashTable: (NSHashTable*)other;
Availability: OpenStep
Returns `YES` fi all the items in the receiver are also present in 'other'

### member:

- (id) member: (id)object;
Availability: OpenStep
Returns an item stored in the receiver which is equal to the supplied object argument, or `nil` if no matchi is found.

### minusHashTable:

- (void) minusHashTable: (NSHashTable*)other;
Availability: OpenStep
Removes from the receivr all those items which are prsent in both the receiver and in 'other'.

### objectEnumerator

- (NSEnumerator*) objectEnumerator;
Availability: OpenStep
Return an enumerator for the receiver.

### pointerFunctions

- (NSPointerFunctions*) pointerFunctions;
Availability: OpenStep
Return an NSPointerFunctions value describing the functions used by the receiver to handle its contents.

### removeAllObjects

- (void) removeAllObjects;
Availability: OpenStep
Removes all objects.

### removeObject:

- (void) removeObject: (id)object;
Availability: OpenStep
Remove the object (or any equal object) from the receiver.

### setRepresentation

- (NSSet*) setRepresentation;
Availability: OpenStep
Returns a set containing all the objects in the receiver.

### unionHashTable:

- (void) unionHashTable: (NSHashTable*)other;
Availability: OpenStep
Adds to the receiver thse items present in 'other' which were not present in the receiver.

Up